About Archive Files
Top Next

What is an Archive?
Archives are files that contain other files. Typically the files in an archive are compressed. Archives usually have file names ending with ZIP, RAR, ARC, ARJ, ACE, LZH etc.,
depending on how they were created. Archives make it easy to group files and make transporting and copying these files faster.

Typical Uses for Archives:

Most files available on the Internet and on electronic services like America Online and CompuServe are distributed as archives. Two benefits of using archives for electronic file distribution are that only one file transfer operation ("download") is required to obtain all related files, and file transfer time is minimized because the files in an archive are compressed.
It is often useful to send a group of related files to an associate. Rather than distributing individual files it is often easier to distribute the files as an archive to benefit from the file grouping and compression.

Some files are important but not used often. To save disk space simply compress these files into an archive when they are not used, and decompress them only when needed.

What is a Self-Extracting Zip File?

A self-extracting Zip file is an executable program file (.EXE file) that includes both an Archive file and software to extract or "unzip" the contents of the Archive file. Users can extract the contents of a self-extracting Archive file by simply running it. This is convenient, because the end user does not need an unzip program (like IZArc) to extract files from these self-extracting archives.

Archive formats:

Zip files are the most common archive format. Zip files can span multiple disks, and provide both compression and file grouping. IZArc does not use external programs to work with Zip files.
TAR, Z, GZ, TAZ, and TGZ files are often found on Unix-based Internet sites. TAR stands for "Tape ARchive". The TAR format does not provide compression; it is used only to group files. GZ and Z files are gzip files. GZ and Z files cannot contain multiple files. TAZ and TGZ files are TAR files compressed in the gzip format.

File formats such as UUencoded, XXencoded, BinHex, and MIME are used primarily to transfer binary files by Internet e-mail. If you encounter one of these files, you can open it and extract its contents with IZArc.

IZArc also handles most files in the old Microsoft Compress format (also known as LZEXPAND format). However, there are several variations on this format, and Microsoft has not released documentation on these variations. IZArc issues an appropriate message if you attempt to decompress a file not supported by your version of Windows. Microsoft Compress files usually end with a trailing underscore, for example, "commdlg.dl_". Like Z and GZ files, Microsoft Compress format files contain only one file. This format is used for many files on the Windows 3.1 distribution disks and many older Microsoft products. Note that not all files ending with an underscore are Microsoft Compress format files. IZArc does not use external programs when working with files in these formats.

The Microsoft CAB (short for Cabinet) format is used by most Microsoft setup programs, including those used to install Windows. CAB files provide both file compression and file grouping. You can use IZArc to open and extract the contents of CAB files. IZArc will handle most self-extracting CAB files. IZArc does not use external programs when working with CAB files.

RAR, ARC, ARJ, ACE, LZH and etc. are older formats that provide both grouping and compression, like Zip files.
IZArc does not use external programs when working with these files.


Overview
Previous Top Next

If you ever used the Internet, you've probably encountered archive files like Zip, Rar, Arj etc.
IZArc is the way to handle these archived files. It's both powerful and very fast.

IZArc includes tight integration with My Computer and Windows Explorer. Drag and drop to or from Explorer, or zip and unzip without leaving Explorer.

IZArc is extremely easy to use! To open an archive simply double click (or, you're working in Web style, click once) on an archive listed in My Computer or the Windows Explorer, drag and drop an archive onto IZArc, or use the standard Open dialog box. The main IZArc window features a list with the names, and sizes of all files in the open archive. This list can be scrolled and sorted on any field. A configurable tool bar provides fast access to commonly used actions.
Extensive context sensitive help is always available.

The Windows Drag and Drop interface is fully supported. You can drag and drop files from IZArc to other applications, or just into Windows Explorer to extract them into a specific directory. IZArc will extract the files before dropping them on the target application. The target application will treat the files as if they had been dropped from My Computer or the Windows Explorer. You can also drop archives on IZArc to open them, or drop files on IZArc to add them to an opened or new archive.


System Requirements

IZArc requires Windows 95, Windows 98, Windows Me, Windows NT 4.0, Windows 2000 or Windows XP.
It will not run under Windows 3.x or Windows NT 3.1 or 3.5.


IZArc Features

IZArc supports the following archive file type:
7-ZIP, A, ACE, ARC, ARJ, B64, BH, BZ2, BZA, CAB, CPIO, DEB, ENC, GCA, GZ, GZA, HA, JAR, LHA, LIB, LZH, MBF, MIM, PAK, PK3, RAR, RPM, TAR, TAZ, TBZ, TGZ, TZ, UUE, WAR, XXE, YZ1, Z, ZIP, ZOO

All features of IZArc:

· Create an archive
· Add files to an existing archive
· Delete files from an existing archive
· Extract files from an existing archive
· Test an archive file
· Convert archive
· Repair broken archive
· Searching for any files in many archives
· Favorite Folders
· Obtaining a detailed list of files and information like compression rate, path, or size from an archive file
· Supports both long and short 8.3 filenames
· Disk spanning from and to multiple diskettes or other removable media
· Implementing the possibility to sort the list items by name size, date and etc.
· Full Drag & Drop support
· Integrating in Windows Explorer context menu
· Automatic installation of most software distributed in archive files
· Add / View comments in an archive
· By double-clicking onto a file in the file list, it's opened with the program associated to this file type
· CheckOut feature
· Create a self-extracting archive
· E-mail an archive
· Checking for new updates
· Build-in multilanguage support
· Virus Scan feature
· UU/XX/MIME Encode/Decode
· Create Multi-Volume Set
· Merge Multi-Volume Set
· UnSFX (Convert self-extracting (SFX) .EXE files to standard archives)
· Encrypt files using Rijandael - AES (256-bits) encryption
· Decrypt (.ize) files


Installation

To install IZArc, just double click on the IZArcX.exe (where "X" is the version of IZArc) file or select the Run… option from the taskbar Start Menu and type:
"PATH\IZArcX.exe" replacing PATH with the full path to the setup file.

The Setup program will issue a number of prompts. Unless you have a reason to override the defaults it is strongly recommended that you accept the installation default settings (just press OK, Yes, or Next, as appropriate).


Uninstallation

You can uninstall IZArc by activate the Control Panel, double click Add/Remove Programs, and double click the IZArc list box entry or from the Start menu, click Programs, then IZArc, and then Uninstall.


Menu Tree

File Menu
Working with whole archives
New Archive
Create a new archive
Open Archive
Open an existing archive
Favorite Folders
Open the Favorite Folders dialog
Close Archive
Close the open archive
Properties
Display the open archive's properties
Move Archive
Move the open archive to a different drive or folder
Copy Archive
Copy the open archive to a different drive or folder
Rename Archive
Change the file name of the open archive
Delete Archive
Delete the open archive
Print File List
Print a listing of the open archive's contents to printer or to text file
Filter
Filter archive's contents
Mail Archive
E-mail the open archive
Exit
Close IZArc

View Menu
Control the appearance of the main IZArc window
Toolbar
Shows/Hides toolbar
Archive Folder Bar
Shows tree with folders in archive (only available if using Explorer display style)
Status Bar
Shows/Hides status bar
Classic Display Style
Displays all files from archive in one listing.
Explorer Display Style
Browse through an archive like folders in Windows Explorer
View Style
Select view style of the archive contents

Actions Menu
Performing tasks with the open archive
Add
Add files to the open archive
Delete
Delete files from the open archive
Extract
Extract files from the open archive
View
View files in the open archive
Select All
Select all files in the open archive
Invert Selection
Reverse selected and unselected file status in the open archive
Virus Scan
Run a virus scan program against archive contents
Make SFX File
Create a self-extracting archive
Test
Test integrity of the open archive
Comments
View, add, edit, or delete comments
CheckOut
Examine and/or run programs in the open archive
Install
Install the software contained in the open archive

Tools Menu
Working with other archiving tools
Convert Archive
Convert the archive to another archive file type
UU/XX/MIME Encode
UUe, XXe or MIME (Base64) encode the open archive
Encrypt
Encrypt files using powerful encryption
Decrypt
Decrypt (.ize) files
Repair Archive
Repair broken archive
Create Multi-Volume Set
Split an Archive file into multiple parts of a specified size
Merge Multi-Volume Set
Merge a spanned archive to one single file
Search in Archives
Searching for files in many archives.
UnSFX
Convert self-extracting (SFX) .EXE files.

Options Menu
Configuring IZArc
Configuration
Change IZArc settings
Reuse IZArc Windows
Determine whether a new window is opened when you start IZArc by double clicking in My Computer, Windows Explorer, or the desktop
Minimize to Tray
Minimizes IZArc to the system tray which is located next to your clock
Language
Select a preferred language

Help Menu
Getting help and information
Contents and Index
Display the IZArc help file contents and index
Visit IZArc Home Page
Visit the IZArc home page
Check for Update
Check for new version of IZArc
About IZArc
Display copyright notice and version information


Create a New Archive

You can create a new archive by selecting the New item of the File menu or by using the speed button New.

Then in the open dialog you have to choose a name for the archive. This dialog is a standard windows open dialog, you can choose the drive and the folder, or if you need another, create folder and then you can create the new archive you want it to be. If you choose a name of an existing archive, IZArc will ask you if you want to overwrite it.

After choosing the name of the new archive, a new window will be open, where you can select which files to add in
the new archive. In this dialog you can add a password to the archive to be password protected.


Open an Archive

To open an existing archive, select Open from the File menu or click on the Open speed button on the toolbar.

After opening the archive you can see the files stored in this archive, their size, compression rate and path.
You can extract the files, add new ones, delete files or open files without manually extracting them.
Also if there is an installation file You can install it directly from IZArc.


Favorite Folders

About Favorite Folders:

The "Favorite Folders" feature organizes Archive files into one convenient list that is sorted by date, making it easier to locate all Archive files, regardless of where they came from or where they are stored.

Using the Favorite Folders Dialog Box:

Click the Favorites button on the toolbar or select Favorite Folders from the File drop-down menu to activate this facility.

You can easily add and remove folders from your list of "Favorite Zip Folders" using the Options button. To open an Archive file, select it and click Open, or simply double click on the Archive file.

Click Search to search for Archive files in other folders.

To add folders to your Favorite Folders:

To add a folder to the list of Favorite Folders, click the Options button in the Favorite Folders dialog and then click Add a Favorite Folder. In the resulting folder-browsing dialog, select the desired folder and click OK.

Here's another way to add folders to the list: click the Search button in the Favorite Folders dialog box, select the type of search you want, and click OK. Select an Archive file and click Open, or double click the Archive file.

IZArc can be configured to handle the folder in one of three ways: it can automatically add the folder to your Favorite Folders, it can ask if you want to add the folder to the Favorite Folders, or it can skip adding the folder to the Favorite Folders. You can change this section by clicking Options in the Favorite Folders dialog.


Close Archive

To close the opened archive, select Close Archive from the File menu.


Properties

The Properties menu entry in the File menu displays a dialog box with the path, file's name, actual archive size (in bytes), number of files in the archive, average compression ratio, and the date and time that the archive was last updated.


Move Archive

Move Archive moves the open archive to another folder or disk. The Move dialog box is displayed so you can choose the destination for the move operation.


Copy Archive

Copy Archive copies the open archive to another folder or disk. The Copy dialog box is displayed so you can choose the destination for the copy operation.


Rename Archive

Rename Archive gives you an opportunity to change the file name of the open archive. The Rename dialog box lets you change the open archive's file name but not the filename extension (file type). Simply type the new file name and press the OK button.


Delete Archive

Delete Archive deletes the open archive. A confirmation dialog is displayed to avoid accidental deletion. If you choose to continue the archive is closed and deleted.


Print File List

To print a list of the files shown in the main IZArc window, select "Print File List -> To Printer" from the "File" menu. The columns shown in the IZArc window will be printed using the current sort order.

To print a list of files in an archive to a text file, select "Print File List -> To Text File" from the IZArc "File" menu.


Add Files to an Archive

To add files to an existing archive, select Add from the File menu or click on the Add speed button on the toolbar. If you create a new archive, Add Files Window is opened automatically when you select a file name for the new archive.
In the Add Files Window you can select all the files and directories you want to add to your archive, check the options, select the compression rate and also can choose a password for selected files.
After clicking on the OK button the adding procedure starts. You can't do anything while IZArc adds the files.
If you want to cancel the Adding process, just click on the red light of the right bottom of the application.

Another way to add files to an archive is dragging files into IZArc Window directly from the Desktop or from Windows Explorer.

Detailed Options Overview

Options tab:

· Compression - determines the compression method. Maximum compression is the best (and slowest) compression available for the specified format.

· Action:

· Add - adds all specified files to the archive.

· Refresh - - updates files already in the archive that have the same names as files being added.

· Move- works similar to Add, except those files are actually deleted from the disk after they are added.

· Include sub-folders - -add all files in the subfolders of a specified directory.

· Attributes:

· Archive - adds files marked 'archive' by Windows.
· Read Only - adds files marked 'read only' by Windows.
· Hidden - adds files marked 'hidden' by Windows.
· System File - adds files marked 'system' by Windows.
· Directory - add all files of a specified directory.

· "Set Password" button - password protect (encrypt) the file(s) you are adding.

· Archiving Type - determines the archiving type.

· Method - define the compression algorithm to use when compressing files to an archive.

· Stored Folders - lets you choose how do you want path information to be saved:

· None - does not store any path information.

· Absolute - store full path information for all files.

(e.g. if you selected "C:\My Documents\Docs\ReadMe.txt", IZArc will save the path as "C:\My Documents\Docs\").

· Absolute No Drive - store full path information without drive letter for all files.
(e.g. if you selected "C:\My Documents\Docs\ReadMe.txt", IZArc will save the path as "\My Documents\Docs\").

· Absolute No Root - store full path information without drive letter and the first back slash for all files.

(e.g. if you selected "C:\My Documents\Docs\ReadMe.txt", IZArc will save the path as "My Documents\Docs\").

· Relative - the initial directory where the compressor starts reading files from disk is treated as the root directory. Files compressed from the initial directory are not stored with directory names, but files compressed from subdirectories of this directory are stored with directory names relative to this initial directory. This is to allow the recreation of an archives directory structure with a user specified initial directory.

· Relative Store Start - same as "Relative", but one directory back from the initial directory will be treated as the root directory.
(e.g. if you selected "C:\My documents\Docs\ReadMe.txt", IZArc will save the path as "Docs\").

· Date Attributes:

· File Date - store date using disk file's date being compressed.
· System Date - store date using the current system's date.
· Max File Date - store date using the newest file's date from the added files.

Files tab:

· File List - lets you select files and folders that you want to add to the archive.
· Filter - lets you filter the files in the File List (e.g. *.txt;*.bmp)


Delete Files

It's recommend that you select the files you want to remove first, otherwise all files will be deleted. You can hold the CTRL or SHIFT key down to select multiple files.

Goto Actions menu and select Delete or click on the Delete speed button in the toolbar.


Extract Files

When you extract files, IZArc decompresses and places them in the folder you specified. If the archive was packed with paths, it restores the folders and retains the structure of any sub folders.

To extract files select Extract from the Actions menu or click on the Extract speed button in the toolbar. The shown dialog allows you to set different options and the folder where you would like IZArc to extract the files.

Another way to extract files is dragging files from IZArc Window directly to the Desktop or to Windows Explorer.

Detailed Options Overview

· Options:

· Confirm File Overwrites - prompts user to confirm overwriting the existing files.

· Restore Original Folders - restores the original folders of the compressed files.

· Restore File Attributes - restores the file attributes of the compressed files.

· Open Folder After Extraction - when checked, opens the folder that you extracted to when complete.

· Extract:

· Selected Files - extracts only files that are selected in the main IZArc window.

· All Files - extracts all files within the archive.

· Date Attributes:

· File Date - set extracted files date using date stored in the archive.
· System Date - set extracted files date using the systems date/time.
· Max File Date - set extracted files date using the date from the newest file in the archive.


View File

When you push the View button in the toolbar or choose the View entry in the Actions menu the View dialog box is displayed. This dialog gives you a choice of viewing the selected file(s) in one of three ways:

· Using the associated program. The associated program is listed in parentheses. This method is similar to double clicking on a file in the main window (unless the file is executable; in which case the executable file is opened with the program specified in the Default association field in the Program Locations tab of the Configuration dialog box).

· Using Windows Notepad.

· With any viewer available on your system. You must specify the name of the viewer.


Select All and Invert Selection

The Select All entry in the Actions menu selects all the files in the main window's list box. Invert Selection deselects the currently selected files and selects the currently unselected files. Selected files can then be easily deleted, extracted, or viewed.


Virus Scan

IZArc can be configured to use your preferred anti-virus program when scanning archives for viruses. You must first configure support for your anti-virus program by navigating to "Options > Configuration > Program Locations". Once complete, you can use the "Virus Scan..." entry in the "Actions" menu to scan archives for viruses.

The Virus Scan operation performs the following actions:
1. Creates a temporary folder
2. Extracts all files in the current archive to the temporary folder
3. Runs the virus scanner against files in the temporary folder
4. Deletes all files in the temporary folder and removes the temporary folder


Make .EXE File

Use the Make .EXE File entry in the Actions menu to convert the open archive to a Self-Extracting Archive(SFX). Self-Extracting archives have an extension of .EXE, and can be run as commands. When a self-extracting archive is run, the files in the archive are automatically extracted. This is convenient, because the end user does not need an unzip program (like IZArc) to extract files from these self-extracting archives.

Currently IZArc can make self-extracting archives from ACE, ARJ, BH, JAR, LHA, LZH, RAR and ZIP archives.

Options:
· Default Extract Folder - This is the default folder in which the extracted files will be placed. If you don't specify anything, the user's current directory will be the default.
If you enter the special symbol >< , then the user's temporary directory will be the default extraction directory.

· Caption - Caption of the self-extracting archive dialog box.

· Message - Message is used to specify a message given before the main extraction dialog shows itself.

· Message Type - If you specify a message, you can also specify the type of the message box:
· - Standard - The message box shows an 'OK' button. The User cannot cancel starting the SFX application.

· - Information - The message box shows the buttons 'OK' and 'Cancel'. if the User presses 'Cancel', SFX will stop.

· - Confirmation - The message box shows the buttons 'Yes' and 'No'. if the User presses 'No', SFX will stop.

· Default Overwrite Action - Sets the the action for what the SFX program is supposed to do if it finds files that already exist.
· Prompt for overwriting existing files - Ask user when each file is found.

· Always overwrite existing files - Always overwrite existing files.

· Skip exisiting files - Never overwrite - skip those files.

· Command Line - You can specify a command line parameters to execute after extracting the executable.

Typically used to view the readme file, but can do anything. There is a predefined symbol that can be used in the command line to tell you which target directory was actually used.

Special symbols:
| (Vertical bar) is the command / argument separator.
>< Is the actual extraction directory selected by user.

Example: Notepad|><Readme.txt
This will run notepad to show "Readme.txt" in the actual extraction dir.

You can also install .inf scripts, even with support for different sections depending on the operating system:
"><setup.inf" will run the [DefaultInstall] section of "EXTRACTPATH\setup.inf".
"><setup.inf|.ntx86" will run the [DefaultInstall] section if the User's OS is Win95/98,
but [DefaultInstall.ntx86] section if it's Windows NT/2000/XP.

· Allow to Avoid the Command Line - Allows user (at runtime) to de-select the SFX program's command line checkbox. Once de-selected, the command line will not be executed.

· Allow to Modify the File List - Allows user to modify the SFX program's list of files to be extracted.

· Hide Overwrite Action Group - Does not show the user (at runtime) the SFX program's dialog box that lets him choose the overwrite action for files that already exist.

· Create an AutoRun SFX - Extraction of the SFX contents will be performed automatically, no user actions are required.

· Show Success Message After Extraction - Shows message after the end of the extraction process.

· Delete the Zip File - Deletes the archive if the SFX is created successfully.

Note: You should always test self-extracting archives before distribution. IZArc will offer to test the archive as soon as it is created. IZArc self-extracting files will add about 40KB to an archive, containing the code necessary for extraction.


Test an Archive

Use the Test entry in the Actions drop-down menu to test the integrity of the open archive. A dialog box is displayed with the results of the test operation.


View/Add Comments

Use the Comments entry in the Actions menu to activate the Comments dialog box. This feature is available for Zip files only.

A comment is optional text information that is embedded in a Zip file. It can be viewed, created, edited, or deleted using the Comments dialog box. Simply type in your text or use any common Windows cut, copy, or paste method.

Zip comments are limited in length. If you have recent versions of the Windows "Rich Edit" control installed, the limit is about 64,000 characters; otherwise, the limit is about 48,000 characters. For greatest compatibility with other users' systems and with other Zip file utilities, we recommend limiting comments to 48,000 characters.


CheckOut

The CheckOut feature makes it easy to examine and/or run files in an archive. It creates a temporary folder, extracts all files from the archive into the folder, creates entries in the Programs menu for the extracted items, and opens a My Computer-style window showing shortcuts to the files in the folder. Double click any item in the window to perform the action normally associated with the document or program (associations are described in the section titled Windows Associations). IZArc will optionally close the window and delete the temporary folder (and the extracted files) when you close the archive or close IZArc.

CheckOut Dialog Box
Use the CheckOut toolbar button or the CheckOut entry in the Actions menu to activate the CheckOut dialog box. This dialog box lets you configure these aspects of the operation:

Use the Folder edit field to specify the temporary CheckOut folder name. The folder will be created if it does not already exist. The suggested folder depends on the setting of the CheckOut base folder in the Folders tab of the Configuration dialog box.
Use the Group name edit field to specify the name to use for the CheckOut window.

The Create icons for programs and documents only check box lets you control whether IZArc creates icons for all files in the archive or only for the specified files. When this option is selected, icons are created for executable files and files with associations.


Install

IZArc's Install feature makes it easy to install software distributed in archives. The Install feature is available if an archive contains an "install" or "setup" program.

The software Install feature performs these functions:

1. extracts all the files to a temporary folder
2. runs the Setup program
3. deletes the temporary installation folder and files

The Install Dialog Box:

Click the Install button on the toolbar or select Install from the Actions menu to open the Install dialog box.

Use the Minimize during install checkbox to control whether IZArc will be minimized while running the install program.

Press the OK button to begin the installation.


The View Menu

The View Menu controls the appearance of the main IZArc window.

· Toolbar - Shows/Hides toolbar.

· Archive Folder Bar - Shows tree with folders in archive (only available if using Explorer display style).

· Status Bar - Shows/Hides status bar.

· Classic Display Style - Displays all files from archive in one listing.

· Explorer Display Style - Browse through an archive like folders in Windows Explorer.

· View Style - Change the View Style of the IZArc main window. (Large Icons, Small Icons, List and Details)


Convert Archive

IZArc contains a very useful Archive Converter tool for conversion between supported archives. It is very easy to use.

Explanation of the options:

· Input file - select archive that you want to convert.

· Output file - select destination of the new archive.

· Output Type - gives you option of formats that you can convert "Input File" to.
· Integrity Check - checks if conversion was done properly.


UU/XX/MIME Encode

Use the UU/XX/MIME Encode entry in the Tools drop-down menu to UUe, XXe, or MIME (Base64) encode the an archive.

The UU/XX/MIME Encode dialog box will appear, and you will be able to select the source and the destination files and method of encoding. As an added feature, you can also choose to make multi-volume encoded files with the spanning option.

The encoded file can be sent across mail systems that do not support binary e-mail.


Encrypt

IZArc features secure encryption in form of .ize files. By using the encryption tool, you can secure any data on your computer with the new AES Standard Rijndael.
IZArc uses 256 bit encryption.

Explanation of the options:

· Standard File - select the file that is going to be encrypted.

· Encrypted File - this should be name and location of your future encrypted file.

After you have selected the options, you can click on "Encrypt" button to finish the process and encrypt file.
IZArc will then ask you for password and you will have to enter it 2 times. Please note that it is very IMPORTANT that you do not forget your password. You will NOT be able to use the file if you forget the password. There is no way you could recover forgotten password.
IZArc does not compress data in ize files. We recommend using ize together with archive format of your choice for best results.


Decrypt

IZArc has Decrypt tool that will let you decrypt .ize files. (files encrypted with IZArc)

Explanation of the options:

· Encrypted File - select the file that is going to be decrypted.

· Destination Path - this should be the location of the decrypted file.

By clicking on "Decrypt" button, IZArc will ask you for password to finish the process and decrypt the file.


Repair Archive

You can use IZArc's repair tool to fix broken or corrupted ZIP archives. To activate this tool, select Repair Archive from the Tools menu.

To select an archive to be repaired, enter the name and path of archive manually, or use the browse button. Once you have chosen an archive to repair, click "Repair". All relevant information with regards to the repair process will appear in list box.


Create Multi-Volume Set

IZArc has a very useful tool for splitting ZIP files into multi-volumes. It works great when you want to send a zip file in several smaller pieces via email or removable disks (floppy, CD-R, etc.)

Explanation of the options:

· Single archive to span - select archive that you want to split into multi-volume archive.

· Spanned archive name - select name and destination of multi-volume archive that will be created.

· Volume Size - specify the size to be used for the individual parts. You can choose from common sizes using the drop-down list or you can specify your own size. To specify your own size, choose "Custom" in the drop-down list and type the desired size in the Other size field. You can specify the size in bytes, kilobytes (KB), or megabytes (MB); indicate which you're using by clicking the appropriate radio button.

· Format target disk before spanning - if checked, removable drive will be formatted before IZArc writes volume to it.

Notes:

· Each of the segments of the split Zip file will have a different extension. IZArc creates files with names like Archive.z01, Archive.z02, and so on, except for the very last segment of the new Zip file. The last segment will always have the .zip extension (e.g., Archive.zip).

· To open the split Zip file, open the file with the .zip extension. Don't try to open any of the files with the numbered extensions; IZArc won't recognize them as Zip files.

· Once the split Zip file has been opened, you can work with it much as you would work with a regular Zip file, except you can't add any new files or remove existing files. Some operations such as creating self-extracting Zip files and editing comments are also disabled for split Zip files.

· The sizes listed as "1.2MB," "1.44MB," and "2.88MB" are approximate. The segments of the split Zip file are sized appropriately to fit on media of the specified size.

· The split Zip file format is an extension of the Zip 2.0 specification. Therefore, some Zip utility programs may not be able to open split Zip files.


Merge Multi-Volume Set

IZArc has Merge Multi-Volume Set tool that will let you merge spanned zip archive into one zip archive.

Explanation of the options:

· Spanned archive - select an multi-volume archive that you want to convert into single zip archive.

· Converted archive name - select the name and destination of converted archive.

Note:

If you want to convert an archive spanned on diskettes, do the following:

1. Copy each part of the spanned Zip file, in order, from diskettes to a single folder. You must know the correct order of the diskettes in order to do this.

2. As you copy each part, change the .zip extension to .Zn, where n is a sequence number beginning with 01 for the first part. That is, the first part of the spanned Zip file January.zip becomes January.Z01; the second part becomes January.Z02, etc. If there are more than 99 parts, just continue the numbering with .Z100 and so on. Don't change the extension of the last part--it remains .zip.


Search in Archives

You can use IZArc's searching tool to find files in archives. To activate this tool, select Find in Archives from the Tools menu.

You have to select a folder when the archives you want to search in are, enter the file name you looking for (you can use wildcards separated with comma or semi-colon - for example: *.txt; *.jpg; *.exe), also you can filter the archives by type and may choose to search in folders recursive.
Then click on "Search" button to start searching.

After the search is finished you can open a file from the list by double-clicking on the selected file.


UnSFX

IZArc has UnSFX tool that will let you convert Self-Extracting (SFX) .EXE files.

Currently IZArc supports ACE, ARC, ARJ, BH, JAR, LHA, LZH, PAK, RAR and ZIP SFX archive types.

Explanation of the options:

· SFX Archive - select the .EXE file that is going to be converted.

· Standard Archive - this should be name and location of your future converted file.

Click on "OK" button to finish the process and convert the file.


Configuration

Select "Configuration..." from the "Options" menu to activate the Configuration dialog box. This dialog box contains tabs that control most IZArc settings. Click on any tab title for further information on its content.

· The View tab controls the appearance of the main IZArc window.
· The Toolbar tab controls the appearance of the IZArc Toolbar.
· The Folders tab offers choices for start-up, add, CheckOut, extract and temporary folders.
· The File Associations controls IZArc's associations with specific archive types.
· The Explorer Enhancements tab provides options for configuring IZArc's Windows Explorer enhancements.
· The Program Locations tab controls the default viewer and virus scanner.

View tab:

· File List

· Show Toolbar - Shows/Hides toolbar.
· Show Grid Lines - Display grid lines to separate rows and columns in the main window
· Show Status bar - Shows/Hides status bar.
· Full Row Select - This option allows you to click anywhere on the file's row of information in order to select it.
· Flat Scroll bars - Displays flat scroll bars.
· Colored Captions - Displays some captions (ReadMe.txt, Setup.exe, Install.exe, etc.) in different colors.

· Messages

· Show Action Messages - Show action messages. (i.e. after compressing shows how many files are compressed, after extraction -how many files are extracted)

· Columns - Select the columns that you want to appear in the file listing.

Toolbar tab:

· Configuration

· Show Toolbar Captions - Shows/Hides toolbar captions.
· Show Tool tips - Displays Toolbar hints.
· Flat Toolbar Buttons - Displays flat toolbar buttons.

· Toolbar Skin

· Toolbar Image - Enables you to select custom images for the toolbar buttons.
· Sample - Previews the selected Skin.

· Select Buttons - Enables you to select toolbar buttons.

Folders tab:

· Temp Folder - This entry specifies the location for temporary files created by IZArc. If you run out of disk space during an operation, change the Temp Folder to specify a drive and folder with sufficient free space.

· Start-up Folder - Unless you start IZArc by double clicking on an archive, IZArc will optionally change to a folder of your choice when it starts up. Files in this folder are automatically displayed in the Open archive and New archive dialog boxes. The following choices control which folder is used.

· System Default - IZArc does not change folders, so the system default folder is in effect. Usually this is the folder containing IZArc.exe.

· Last Open Archive - IZArc changes to the folder containing the last open archive during your last IZArc session, unless it is on your A: or B: drive.

· Folder - IZArc always changes to the specified folder.

· Default Add Folder - These selections determine the default folder when the Add dialog box is opened.

· Open Archive Folder - IZArc lists the name of the folder containing the open archive in the Extract to field. (i.e. if the archive C:\Tools\SysTools.zip is open, IZArc will list C:\Tools.

· Last Add Folder - IZArc uses the folder you used during the last Add operation, unless it is on your A: or B: drive. This value is saved when you exit IZArc so you can use it during your next IZArc session.

· Folder - IZArc always uses the specified folder. This value is saved when you exit IZArc so you can use it during your next IZArc session.

· Default Extract Folder - These selections determine the default folder that IZArc automatically lists in the Extract to field in the Extract dialog box. You can, of course, type over this default folder name or select a different folder from the folder list.

· Open Archive Folder - IZArc lists the name of the folder containing the open archive in the Extract to field. (i.e. if the archive C:\Tools\SysTools.zip is open, IZArc will list C:\Tools.

· Open Archive Folder .\Archive Name Folder - IZArc lists the name of the folder containing the open archive plus the name of the open archive as a folder in the Extract to field. (i.e. if the archive C:\Tools\SysTools.zip is open, IZArc will list C:\Tools\SysTools.

· Last Extract Folder - IZArc will list the name of the folder you used during the last Extract operation, unless it is on your A: or B: drive. This value is saved when you exit IZArc so you can use it during your next IZArc session.

· Folder - IZArc always lists the specified folder. This value is saved when you exit IZArc so you can use it during your next IZArc session.

File Associations tab:

· File Extensions - check boxes determine whether Windows will use IZArc to open archives from My Computer, Windows Explorer, most e-mail programs, etc.
IZArc can associate itself with the following archive types: 7-ZIP, A, ACE, ARC, ARJ, B64, BH, BZ2, BZA, CAB, CPIO, DEB, ENC, GCA, GZ, GZA, HA, JAR, LHA, LIB, LZH, MBF, MIM, PAK, PK3, RAR, RPM, TAR, TAZ, TBZ, TGZ, TZ, UUE, WAR, XXE, YZ1, Z, ZIP, ZOO

See the section titled Windows Associations for more information on associations.

Explorer enhancements tab:

· Context Menu Commands - You can use this list to enable or disable many of the IZArc Explorer context menu entries individually. Check the appropriate check box to include a command in the IZArc menu, or clear it to remove the command from the menu (see Working with the Explorer Context Menu for descriptions of the individual commands).

· Compression
· Default Archive Type - Select the default archive type when you use "Add to <archive name> from the Windows Explorer context menu.

· Default Compression Type - Select default compression type.

· Default Method Type - Select default method type

Program Locations tab:

· Default Viewer - The program specified as the default viewer is used when viewing a file that does not have an association. If this field is empty NOTEPAD (the Windows Notepad program) is used as default viewer. For additional information on associations, see the section titled Windows Associations.

· Virus Scanner

· Optional Virus Scanner - Select your virus scanner here. It will be started if you select "Virus scan" at the "Action" menu. Choose your scanner from the list or use the browse button [image] to locate it.

· Parameters -This field should contain the appropriate parameters to run the virus scanner.


Reuse IZArc Windows

Reuse IZArc Windows determines whether a new window is opened when you start IZArc by double clicking in My Computer, Windows Explorer, or the desktop. When this entry is checked, an existing IZArc window is used. When this entry is not checked, a new IZArc window is created. One advantage to reusing IZArc windows is that double clicking acts the same as drag and drop, and you never accidentally wind up with multiple IZArc windows.


Minimize to Tray

Minimize to tray
Minimizes IZArc to the system tray which is located next to your clock.


Language

Translate IZArc windows and messages in selected language.

Translate IZArc in your language


The Help Menu

The Help menu provides access to various IZArc help information.

· Contents and Index - displays the table of contents and index of IZArc's help. You can browse to the topic you need, look in the help index, or perform a full text search for keywords of interest.

· About - displays the IZArc copyright notice, version number, and other information about your installation of Zip

· Visit IZArc Home Page - takes you to the IZArc web site.

· Check for Update - checks for new version of IZArc


Command Line Interface

IZArc can perform certain operations directly from the command line.

You can use the following switches to perform certain operations:

· -a (or /a) FileName1.ext;FileName2.ext
· -ad (or /ad) FileName1.ext;FileName2.ext
· -e (or /e) [Extracting Folder] FileName1.ext;FileName2.ext
· -eh (or /eh) [Extracting Folder] FileName1.ext;FileName2.ext
· -ef (or /ef) [Extracting Folder] FileName1.ext;FileName2.ext
· -cv (or /cv) FileName.ext
· -s (or /s) FileName.ext
· -t (or /t) FileName.ext

"FileName.ext" hat to include the full path and the filename (C:\Work\FileName.ext)

Opening compressed files directly from the command line:

· Type: IZArc FileName.ext
For example: IZArc C:\Work\Demo.zip

Adding files to an archive with options:
(This will open the Add Dialog box when you can select many options)

· IZArc -a FileName1.ext (;FileName4.ext;FileName3.ext ..)
For example: IZArc -a C:\Work\Doc.txt (or C:\Work\*.txt)

Direct Adding files to an archives:
(This will create directly a Zip archive and will add the file(s) to it)

· IZArc -ad FileName1.zip (;FileName4.zip;FileName3.zip ..)
For example: IZArc -ad C:\Work\Doc.txt (or C:\Work\*.txt)

Extracting an archive:

· IZArc -e [Extracting Folder] FileName.ext (;FileName4.ext;FileName3.ext ..)
· [Extracting Folder] - Full Path to the extracting folder
For Example IZArc -e C:\Work C:\Work\Demo.zip
(This will open the Extract Dialog box when you can select many options)

Also -eh and -ef switches are possible
· -eh - Direct extracting archive(s) in the current folder
· -ef - Direct extracting archive(s) in the current folder + folder named with the name of the archive (without extension)

Converting an archive:

· IZArc -cv FileName.ext
For Example IZArc -cv C:\Work\Demo.zip

If the archive is a SFX compatible (currently the following archives are supported- ACE, ARJ, BH, JAR, LHA, LZH, RAR, ZIP ), you can convert it to a SFX (Self-Extracting File):

· IZArc -s FileName.ext
For Example IZArc -s C:\Work\Demo.zip

Test an archive:
· IZArc -t FileName.ext
For Example IZArc -t C:\Work\Demo.zip


Windows Associations

Microsoft has defined the word "associate" as follows:

To identify a filename extension as belonging to a certain application, so that when you open any file with that extension, the correct application is opened automatically.
For example, by default, Windows associates .WRI files with the Write or WordPad application, and .TXT files with the NOTEPAD application. Most Windows application installation procedures create associations. For example, Word for Windows creates an association for .DOC files, while IZArc generally creates associations for files with the extensions: 7-ZIP, A, ACE, ARC, ARJ, B64, BH, BZ2, BZA, CAB, CPIO, DEB, ENC, GCA, GZ, GZA, HA, JAR, LHA, LIB, LZH, MBF, MIM, PAK, PK3, RAR, RPM, TAR, TAZ, TBZ, TGZ, TZ, UUE, WAR, XXE, YZ1, Z, ZIP, ZOO

IZArc uses associations when you double click on a filename listed in the main IZArc window and when you use the CheckOut Feature.

IZArc, My Computer, and Windows Explorer all use associations the same way. When you open a file with an association, the application associated with the file is run, and the application automatically opens the file. IZArc's CheckOut facility establishes associations when it creates the CheckOut window for two reasons: to display the right icon for each file and to ensure that the appropriate application is run when you double click an icon.

You can view, add, and remove Windows associations using My Computer or Windows Explorer. Choose Options from the View pull-down menu (Tools in Windows 2000) in My Computer or Windows Explorer, and then click the File Types tab. Press the F1 key for detailed instructions.

IZArc associations

You can easily review and modify the types of archives with which IZArc is associated from within IZArc.
When an archive type is associated with IZArc, Windows will use IZArc to open files of that type.

To view and modify IZArc associations, choose Configuration from the Options menu and click the File Associations tab.
In this tab, you will see a list of archive types. You can specify whether an archive type should be associated with IZArc by checking or unchecking the checkbox next to the archive type.


Using Drag and Drop

The drag and drop Interface is one of the most natural ways to use IZArc. Using drag and drop, you can create, open, update, extract from and more. Almost any drag and drop operation you can think of will work.
To drag and drop a file or folder, click it with your left mouse button, then, without releasing the button, drag it to the desired location and release the mouse button to drop it. Refer to your Windows help for more information if you haven't used drag and drop.

Creating a new Zip file

Drag one or more files or folders from My Computer or Windows Explorer to the IZArc desktop icon.

Opening an archive

Drag an archive from My Computer or Windows Explorer and drop it on the IZArc desktop icon.
Remember, you can also double click the archive to open it, or right click it and choose Open with IZArc from the context menu.

Adding files to an archive

To add files to an existing archive, select one or more files or folders in My Computer or Windows Explorer and drop them on an open IZArc window

Extracting, viewing, and printing files in an archive

You can drag files from an archive open in a IZArc window to other applications, My Computer or Windows Explorer windows, the desktop, printers and shortcuts.

If you drop files on a folder listed in My Computer or Windows Explorer, the files are extracted to that folder.
If you drop files on the desktop, the files are extracted to the desktop.
If you drop files on a printer icon, the files are printed.
If you drop files on another application or on a shortcut to an application, the files are extracted to a temporary folder and passed to the application for handling. The files are removed from the temporary folder when the archive is closed.

Note: it's important to remember that different applications handle dropped files in different ways. For example, when you drop a file on the WordPad application distributed as part of Windows it will embed the file as an OLE object, but when you drop a file on the Notepad application distributed as part of Windows it will open the file. You may need to experiment with drag and drop to understand how each application reacts to files dropped on it.


Working with the Explorer Context Menu

You can initiate most common operations on archives from My Computer or Windows Explorer context menus. In many cases, you won't even need to display or use the main IZArc window.

Unzipping files from My Computer or Windows Explorer

Right click an Archive file in a Windows Explorer window, then choose Extract to... or Extract Here menu item.

Zipping files from My Computer or Windows Explorer

Select one or more files in a Windows Explorer window, then right click any of the selected files and choose Add to (File Name).zip or Add to Archive File..

Making Self-Extracting File

Right click an Archive file in a Windows Explorer window, then choose Make Self-Extracting (.EXE) File menu item.

Converting Archives from My Computer or Windows Explorer

Right click an Archive file in a Windows Explorer window, then choose Convert Archive menu item.

E-Mail Archives from My Computer or Windows Explorer

Right click an Archive file in a Windows Explorer window, then choose E-Mail (File Name) menu item.

Test Archives from My Computer or Windows Explorer

Right click an Archive file in a Windows Explorer window, then choose Test menu item.


IZArc End-User License

IZArc End-User License

Copyright © 2000-2003 by Ivan Zahariev (Author)
All rights reserved

IMPORTANT-READ CAREFULLY: This IZArc End-User License Agreement (EULA) is a legal agreement between you (either an individual ora single entity) and the Author of the SOFTWARE identified above.

1. GRANT OF LICENSE. The Author grants you a limited, non-exclusive, non-transferable, royalty-free license to use the executable code of the SOFTWARE on your computer as long
as the terms of this agreement are respected.

2. DISTRIBUTION. You are hereby licensed to make copies of the SOFTWARE as you wish; give exact copies of the original SOFTWARE to anyone; and distribute the SOFTWARE in its
unmodified form via electronic means (Internet, BBS's, Shareware distribution libraries, CD-ROMs, etc.). You may charge a distribution fee for the package, but you must not represent in any
way that you are selling the SOFTWARE itself. Your distribution of the SOFTWARE will not entitle you to any compensation from the Author. You must distribute a copy of this EULA with any copy
of the SOFTWARE and anyone to whom you distribute the SOFTWARE is subject to this EULA.

3. MAINTENANCE. The Author is not obligated to provide maintenance or updates for the SOFTWARE. However, any maintenance or updates provided by The Author shall be covered
by this Agreement.

4. TERMINATION. Without prejudice to any other rights, the Author may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies
of the SOFTWARE.

5. COPYRIGHT. The SOFTWARE is protected by copyright laws and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You
further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of the Author and you will not acquire any rights to the SOFTWARE except as expressly set
forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

6. WARRANTIES. The Author expressly disclaims any warranty for the SOFTWARE. THE SOFTWARE AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, THE IMPLIED WARRANTIES OR MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON INFRINGEMENT. IN NO EVENT SHALL THE AUTHORS
OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

You may not reverse engineer, decompile, disassemble, or modify IZArc.


Distribution License

IZArc may be freely distributed on the Internet, on CD/DVDs or on disks, provided that the original files inside the distribution file are not modified, the program is not bundled with illegal or offensive material..

Feel free to contact us at anytime regarding the distribution of IZArc.


About IZArc

IZArc 3.4

CopyrightÓ 2000-2003 by Ivan Zahariev
All rights reserved

http://www.izsoft.dir.bg

izarclogo


Credits

We wish to give thanks to everyone who helped us create IZArc, and send a special thank you to the following people:

Steve Basford - for the U.K. mirror and test support.
FoneBone - for the German mirror and German translation of IZArc.
German Alonso - for the Spanish mirror of IZArc.
David Agostinho - for the Portuguese mirror of IZArc.
Piotr Murawski - for the Polish translation of IZArc.
Bert van Velsen - for the Dutch translation of IZArc.
Adam Feistner - for the Czech translation of IZArc.
Angel Velasco - for the Spanish translation of IZArc.
Patrick Frasnier - for the French translation of IZArc.
Pau Bosch i Crespo - for the Catalan translation of IZArc.
Dayene Pacheco De Souza - for the Brazil Mirror and Portuguese translation of IZArc.
Bruno Del Frate - for the Italian translation of IZArc.
Morten Lunde - for the Norwegian translation of IZArc.
Maksimiljan Gulie - for the Slovenian translation of IZArc.
Roman D - for the Slovak translation of IZArc.
JAKE LIN - for the Chineese and the Taiwanese translation of IZArc.
Niko Jakobsson - for the Finnish translation of IZArc.
chinQ - for the Japanese translation of IZArc.
Leif Larsson - for the Swedish translation of IZArc.
Werner Knudsen - for the Danish translation of IZArc.
Leonard Nimoy - for the Hungarian translation of IZArc.
Sergey - for the Russian translation of IZArc.
Murat CIZ - for the Turkish Mirror and Turkish translation of IZArc.
Gonzalo Ferreira - for the Spanish (Uruguay) translation of IZArc.
Marcos A. Andrade Rodríguez - for the Spanish (Latin America) translation of IZArc.
Khalid Al-Musaihij - for the Arabic translation of IZArc.
Darojatun - for the Indonesian translation of IZArc.
B. Jotev - for the Serbian (Cyrillic) and Serbian (Latin) translation of IZArc.


Awards
Previous Top

sofotex | listsoft | filetransit | nonags
Sofotex | ListSoft | File Transit | NoNags
freewareworld | softnews | softcatala | 5webattack
Freeware World | SoftNews | SoftCatala | WebAttack


Find Archives
Top

IZArc can help you find archives if you do not know exactly where they are located on your computer. Select "Search hard disk(s) on this PC" to search all hard drives in your computer (network disks and CD-ROM disks are not searched) automatically. Select "Search disk" to search a specified disk (for example, a floppy disk or CD-ROM). Alternatively, select "Manually select archive" if you want to locate the file yourself.


Select Toolbar Buttons
Top

Click Select Buttons in the Toolbar tab in the Configuration Dialog Box to select the IZArc toolbar buttons. You can also right click on the toolbar itself and click on Select Buttons.

· To Add a button, just mark the check box in the left side of the desired button.

· To Remove a button, uncheck the check box in the left side of the desired button.

· To Reset IZArc to its original toolbar configuration, click the Reset button.


Translate IZArc in your language
Top

If you want to translate IZArc in your language, you have to do a few simple things:

1. Take a beer, cup of coffee or a coke. :))
2. In IZArc installation directory (i.e. C:\Program Files\IZArc) locate the folder named "Languages". In this folder there is a file named "English.lng" (without quotes). Open this file in Notepad or some other text editor and translate all text in every line after "=" symbol.

(i.e. Translate all text in blue color

[MainForm] <<<--- Don't translate this lines
MainForm.tbNew.Caption=New
MainForm.tbNew.Hint=Create a New Archive
MainForm.tbOpen.Caption=Open
MainForm.tbOpen.Hint=Open an Existing Archive
MainForm.tbAdd.Caption=Add
MainForm.tbAdd.Hint=Add Files to Archive
MainForm.tbDelete.Caption=Delete
MainForm.tbDelete.Hint=Delete
MainForm.tbExtract.Caption=Extract
…
)

Also, make sure the length of the translated text is not too long (make it as long as the English text).

Note: The Item "Language" in "Options" Menu is always in English.

3. Save the translated file in IZArc language folder as "XXXXX.lng" where XXXXX is the name of your language (i.e. "German.lng"). Then open IZArc and from the
"Options ->Language" menu select your language.
Open all IZArc forms to see if the translated text is correct and it is not too long.

4. Send us the translated file to include it in the next version of IZArc.


Virus Scan Complete
Top

This message is issued when a Windows-based virus scanning operation completes. If no error or warning dialog boxes were displayed by the virus scanner, then this dialog box indicates that no viruses were found. The Norton AntiVirus scanner, the McAfee VirusScan program, and any other properly configured virus scanner will display error or warning dialog boxes if a virus is found.